Send exception for running job (exception)

- « GearmanJob::sendData

- GearmanJob::sendFail »

- PHP Manual
- GearmanJob
- Send exception for running job (exception)

# GearmanJob::sendException

(PECL gearman >= 0.6.0)

GearmanJob::sendException — Send exception for running job (exception)

### Description

public GearmanJob::sendException(string `$exception`): bool

Sends the supplied exception when this job is running.

### Parameters

`exception`

  An exception description.

### Return Values

Returns `true` on success or `false` on failure.

### See Also

- GearmanJob::setReturn() - Set a return value
- GearmanJob::sendStatus() - Send status
- GearmanJob::sendWarning() - Send a warning